#include <iostream>
using namespace std;
int main()
{
long long v,vv;
int drvo=0;
cin>>v;
vv=v;
while(v>0)
{
    vv=v%10;
    if(vv==1 || vv==2 || vv==5)
    drvo=drvo+1;
    if(vv==3 || vv==4 || vv==6 || vv==7)
    drvo=drvo+2;
    if(vv==8 || vv==9)
    drvo=drvo+3;
    v=v/10;
}
cout<<drvo;
    return 0;
}